import {
  afterAll,
  beforeAll,
  describe,
  expect,
  it, SpyInstanceFn,
  vi,
} from 'vitest';
import plain from '../plain';

describe('plain', () => {
  let log: SpyInstanceFn<[], void>;

  let defaultConsole: typeof console;
  beforeAll(() => {
    defaultConsole = console;
    log = vi.fn();
    global.console = {
      log,
    } as unknown as typeof console;
  });

  afterAll(() => {
    global.console = defaultConsole;
  });

  it('calls the console output function', async () => {
    await plain()('foo');
    expect(log).toBeCalled();
  });
});
